package com.lofiminds.xwung
{
   import com.lofiminds.gm.GameContext;
   import com.lofiminds.gm.GameImage;
   import com.lofiminds.gm.GameObject;
   import com.lofiminds.gm.Instances;
   import flash.display.Bitmap;
   import flash.geom.Rectangle;
   
   public class Enemybullet extends GameObject
   {
      
      private static var gameImage1:GameImage = new GameImage(Bitmap(new GxClass1()).bitmapData,8,8);
      
      internal static var gameImage2:GameImage = new GameImage(Bitmap(new GxClass2()).bitmapData,8,3);
      
      private static var GxClass1:Class = Enemybullet_GxClass1;
      
      private static var GxClass2:Class = Enemybullet_GxClass2;
       
      
      private var outside:Rectangle;
      
      public function Enemybullet()
      {
         outside = GameContext.room.getRect(null);
         super();
         setImage(gameImage1);
         depth = 2;
         image_speed = 0.5;
      }
      
      override public function update() : void
      {
         super.update();
         if(!outside.contains(x,y))
         {
            Instances.destroy(this);
         }
      }
      
      override public function getClass() : Class
      {
         return Enemybullet;
      }
   }
}
