package com.lofiminds.xwung
{
   import com.lofiminds.gm.GameContext;
   import com.lofiminds.gm.GameGraphics;
   import com.lofiminds.gm.GameObject;
   import com.lofiminds.gm.GameUtil;
   import com.lofiminds.gm.Instances;
   
   public class Rings extends GameObject
   {
       
      
      private var r2:Number;
      
      private var r3:Number;
      
      private var limit:Number;
      
      private var r1:Number;
      
      public function Rings()
      {
         super();
         this.useCustomDraw = true;
         r1 = r2 = r3 = 12;
         limit = GameContext.room.getBounds(null).width;
      }
      
      override public function onCustomDraw(param1:GameGraphics) : Boolean
      {
         param1.lineStyle(1,GameUtil.make_color_hsv(28 + Math.random() * 42,Math.random(),Math.random()));
         param1.drawCircle(x,y,r1);
         param1.drawCircle(x,y,r2);
         param1.drawCircle(x,y,r3);
         return false;
      }
      
      override public function update() : void
      {
         super.update();
         if(r1 > limit)
         {
            Instances.destroy(this);
         }
         else
         {
            r1 += 4;
            r2 += 5;
            r3 += 6;
         }
      }
      
      override public function getClass() : Class
      {
         return Rings;
      }
   }
}
