package com.lofiminds.xwung
{
   import com.lofiminds.gm.GameImage;
   import com.lofiminds.gm.GameObject;
   import com.lofiminds.gm.GameUtil;
   import com.lofiminds.gm.Instances;
   import flash.display.Bitmap;
   
   public class Blip extends GameObject
   {
      
      private static var GxClass:Class = Blip_GxClass;
      
      private static var images:Array = null;
      
      private static var gameImage:GameImage = new GameImage(Bitmap(new GxClass()).bitmapData,68,51);
       
      
      public function Blip()
      {
         var _loc1_:int = 0;
         super();
         this.setImage(gameImage);
         depth = 1;
         image_speed = 0.5;
         if(images == null)
         {
            images = new Array(10);
            _loc1_ = 0;
            while(_loc1_ < images.length)
            {
               image_blend = GameUtil.make_color_hsv(28 + GameUtil.random() * 42,GameUtil.random(),1);
               images[_loc1_] = gameImage.clone().colorTransform(this.colorTransform);
               _loc1_++;
            }
            hasColorTransform = false;
         }
      }
      
      override public function update() : void
      {
         super.update();
         setImage(GameImage(images[int(Math.random() * 10)]));
      }
      
      override public function getClass() : Class
      {
         return Blip;
      }
      
      override public function animationEnd() : void
      {
         super.animationEnd();
         Instances.destroy(this);
      }
   }
}
