package com.lofiminds.xwung
{
   import com.lofiminds.gm.GameImage;
   import com.lofiminds.gm.GameObject;
   import com.lofiminds.gm.Instances;
   import flash.display.Bitmap;
   
   public class Bonus extends GameObject
   {
      
      private static var GxClass:Class = Bonus_GxClass;
      
      private static var gameImage:GameImage = new GameImage(Bitmap(new GxClass()).bitmapData,32,32,16,16);
      
      private static var time:int;
       
      
      public function Bonus()
      {
         super();
         this.setImage(gameImage);
         depth = 1;
         image_speed = 0.2;
         time = 220;
      }
      
      override public function update() : void
      {
         super.update();
         if(time-- == 0)
         {
            Instances.destroy(this);
         }
      }
      
      override public function getClass() : Class
      {
         return Bonus;
      }
      
      override public function destroy() : void
      {
         super.destroy();
         Instances.create(Blip,x,y);
      }
   }
}
