package com.lofiminds.xwung
{
   import com.lofiminds.gm.GameObject;
   import com.lofiminds.gm.GameUtil;
   import com.lofiminds.gm.Instances;
   
   public class Boss extends GameObject
   {
       
      
      private var gp:Gameplay;
      
      public function Boss()
      {
         var _loc5_:Number = NaN;
         var _loc6_:Number = NaN;
         var _loc7_:Number = NaN;
         var _loc8_:Number = NaN;
         var _loc9_:Number = NaN;
         var _loc10_:* = false;
         var _loc11_:int = 0;
         var _loc12_:Number = NaN;
         var _loc13_:Number = NaN;
         var _loc14_:Bosspart = null;
         var _loc15_:Bosspart = null;
         var _loc16_:Bossturret = null;
         var _loc17_:Bossturret = null;
         gp = Gameplay(Instances.getFirst(Gameplay));
         super();
         GameUtil.setRandomSeed((gp.level + 1) * 23);
         var _loc1_:int = Math.min(10 + gp.level * GameUtil.random() * 6,50);
         var _loc2_:Number = 50 + GameUtil.random() * 270;
         var _loc3_:Number = 50 + GameUtil.random() * 100;
         this.y = -_loc3_;
         var _loc4_:int = 0;
         while(_loc4_ < _loc1_)
         {
            _loc5_ = GameUtil.random() * _loc2_;
            _loc6_ = -_loc3_ + GameUtil.random() * _loc3_ * 2;
            _loc7_ = Math.floor(GameUtil.random() * 5);
            _loc8_ = -90 + GameUtil.random() * 180;
            if((_loc9_ = 32 + gp.level * 3) > 70)
            {
               _loc9_ = 70;
            }
            _loc10_ = 20 + GameUtil.random() * _loc9_ > 50;
            _loc11_ = Math.floor(GameUtil.random() * Math.min(gp.level,Math.round(GameUtil.random() * 3)));
            _loc12_ = GameUtil.random() * 120;
            _loc13_ = GameUtil.degToRad(GameUtil.randomRange(0,4));
            _loc14_ = Instances.create(Bosspart,320 - _loc5_,-180 + _loc6_) as Bosspart;
            _loc15_ = Instances.create(Bosspart,320 + _loc5_,-180 + _loc6_) as Bosspart;
            _loc14_.childPart = _loc15_;
            _loc15_.parentPart = _loc14_;
            _loc14_.boss = this;
            _loc14_.image_index = _loc7_;
            _loc14_.image_angle = GameUtil.degToRad(270 + _loc8_);
            _loc15_.boss = this;
            _loc15_.setImage(Bosspart.gameImageFlipped);
            _loc15_.image_index = _loc7_;
            _loc15_.image_angle = GameUtil.degToRad(270 - _loc8_);
            if(_loc10_)
            {
               _loc16_ = _loc14_.createTurret(_loc11_,_loc12_,_loc13_);
               _loc17_ = _loc15_.createTurret(_loc11_,_loc12_,-_loc13_);
               _loc16_.childPart = _loc17_;
               _loc17_.parentPart = _loc16_;
            }
            _loc4_++;
         }
      }
      
      override public function update() : void
      {
         if(y < 200)
         {
            vspeed = 2;
         }
         else
         {
            this.friction = 0.1;
         }
         if(!Instances.exists(Bosspart) && !Instances.exists(Bossturret) && !Instances.exists(Rocket))
         {
            Instances.destroy(this);
            gp.level += 0.02;
            Xwung.submitStatistic("Level",Math.round(gp.level));
         }
         super.update();
      }
      
      override public function getClass() : Class
      {
         return Boss;
      }
   }
}
