package com.lofiminds.xwung
{
   import com.lofiminds.gm.GameGraphics;
   import com.lofiminds.gm.GameObject;
   import com.lofiminds.gm.Instances;
   import flash.text.TextField;
   import flash.text.TextFieldAutoSize;
   import flash.text.TextFormat;
   
   public class ComboDraw extends GameObject
   {
       
      
      private var txt:TextField;
      
      internal var value:int;
      
      private var time:int;
      
      public function ComboDraw()
      {
         super();
         txt = new TextField();
         txt.defaultTextFormat = new TextFormat("Arial",10,16777215);
         txt.autoSize = TextFieldAutoSize.LEFT;
         useCustomDraw = true;
         time = 25;
         depth = 3;
      }
      
      override public function onCustomDraw(param1:GameGraphics) : Boolean
      {
         txt.text = value + " points combo bonus!";
         param1.beginScreenSpace();
         param1.drawObject(txt,320 - txt.width / 2,180);
         param1.endScreenSpace();
         return false;
      }
      
      override public function update() : void
      {
         if(time > 0)
         {
            --time;
         }
         else if(colorTransform.alphaMultiplier > 0)
         {
            colorTransform.alphaMultiplier -= 0.025;
         }
         else
         {
            Instances.destroy(this);
         }
      }
      
      override public function getClass() : Class
      {
         return ComboDraw;
      }
   }
}
