package com.lofiminds.xwung
{
   import com.lofiminds.gm.GameImage;
   import com.lofiminds.gm.GameUtil;
   import com.lofiminds.gm.Instances;
   import flash.display.Bitmap;
   
   public class Enemy1 extends EnemyBase
   {
      
      private static var gameImage1:GameImage = new GameImage(Bitmap(new GxClass1()).bitmapData,32,32);
      
      private static var GxClass1:Class = Enemy1_GxClass1;
       
      
      private var targetX:Number;
      
      private var targetY:Number;
      
      private var turret:Bossturret;
      
      public function Enemy1()
      {
         super();
         setImage(gameImage1);
         if(Math.random() * 50 < 1)
         {
            image_index = 1;
         }
         targetX = Math.random() * 640;
         targetY = Math.random() * 480;
         depth = 1;
         var _loc1_:Gameplay = Instances.getFirst(Gameplay) as Gameplay;
         if(_loc1_.level > 2 && Math.round(Math.random() * 4) == 1)
         {
            turret = Instances.create(Bossturret,x,y) as Bossturret;
            turret.image_index = Math.floor(Math.random() * 2);
            turret.image_angle = image_angle;
            turret.reload = 240;
         }
      }
      
      override public function getClass() : Class
      {
         return Enemy1;
      }
      
      override public function update() : void
      {
         image_blend = GameUtil.make_color_hsv(169,0.59,0.78 + Math.random() * 0.05);
         var _loc1_:Number = GameUtil.point_direction(x,y,targetX,targetY);
         this.motionAdd(_loc1_,0.1);
         var _loc2_:Number = GameUtil.point_distance(x,y,targetX,targetY);
         if(_loc2_ < 40)
         {
            GameUtil.setRandomSeed(this.x + 127 * this.y);
            targetX = GameUtil.random() * 640;
            targetY = GameUtil.random() * 480;
            GameUtil.randomize();
         }
         var _loc3_:Number = getDirection();
         if(getSpeed() > 1)
         {
            setSpeedAndDirection(1,_loc3_);
         }
         image_angle = _loc3_;
         if(turret != null)
         {
            if(turret.exploded)
            {
               turret = null;
            }
            else
            {
               turret.x = x;
               turret.y = y;
               turret.image_angle = image_angle;
            }
         }
         super.update();
      }
      
      override public function destroy() : void
      {
         if(turret != null && !turret.exploded)
         {
            Instances.destroy(turret);
         }
         super.destroy();
      }
   }
}
