package com.lofiminds.xwung
{
   import com.lofiminds.gm.GameContext;
   import com.lofiminds.gm.GameImage;
   import com.lofiminds.gm.GameObject;
   import com.lofiminds.gm.GameUtil;
   import com.lofiminds.gm.Instances;
   import flash.display.Bitmap;
   import flash.geom.Rectangle;
   
   public class Rocket extends Bosspiece
   {
      
      private static var gameImage1:GameImage = new GameImage(Bitmap(new GxClass1()).bitmapData);
      
      private static var GxClass1:Class = Rocket_GxClass1;
       
      
      private var inside:Rectangle;
      
      public function Rocket()
      {
         inside = GameContext.room.getRect(null);
         super();
         setImage(gameImage1);
         depth = 2;
      }
      
      override public function destroy() : void
      {
         var _loc1_:Number = NaN;
         var _loc4_:GameObject = null;
         var _loc2_:int = int(3 + GameUtil.random() * 5);
         _loc1_ = Math.random() * Math.PI * 2;
         var _loc3_:int = 0;
         while(_loc3_ < _loc2_)
         {
            (_loc4_ = Instances.create(Explosion,x,y)).setSpeedAndDirection(4 + Math.random() * 12,_loc1_);
            _loc1_ += Math.PI * 2 / _loc2_;
            _loc3_++;
         }
         super.destroy();
      }
      
      override public function getClass() : Class
      {
         return Rocket;
      }
      
      override public function update() : void
      {
         var _loc2_:GameObject = null;
         super.update();
         var _loc1_:Boolean = Instances.exists(Player);
         if(_loc1_)
         {
            _loc2_ = Instances.getFirst(Player);
            this.motionAdd(GameUtil.point_direction(x,y,_loc2_.x,_loc2_.y),0.05);
         }
         else
         {
            setSpeedAndDirection(getSpeed() + 0.05,getDirection());
         }
         if(getSpeed() > 3)
         {
            setSpeedAndDirection(3,getDirection());
         }
         image_angle = getDirection();
         image_blend = GameUtil.make_color_hsv(169,0.29,0.75 + Math.random() * 0.21);
         if(Math.random() < 0.33)
         {
            Instances.create(Smoke,x,y);
         }
         if(!_loc1_ && !inside.contains(x,y))
         {
            Instances.destroy(this);
         }
      }
   }
}
